ECHO OFF
ECHO
CLS
ECHO ******************************************************************
ECHO             Demonstration of ReNamer Version 1.1
ECHO                            -
ECHO    ReNamer - Whenever you need to rename an application's
ECHO              files and internal symbols
ECHO ******************************************************************
ECHO There are two primary inputs to ReNamer -
ECHO      RENAMER.FSL - A File Specification List which names the
ECHO                    files to participate in the renaming and
ECHO                          -
ECHO      RENAMER.SRL - A Symbol Rename List to define which existing
ECHO                    symbols are to be changed, and to what.
ECHO ******************************************************************
PAUSE
CLS
ECHO ******************************************************************
ECHO For the demo we will examine one C source file. It contains
ECHO variable length records of 100 or less characters.
ECHO                          -
ECHO You may use ReNamer to process hundreds of files on many disk
ECHO drives and different file types ( e.g. C, BAT, DOC, TXT,
ECHO BAS, Pascal, SQL, etc.)
ECHO                          -
ECHO Following is a listing of the RENAMER.FSL control file
ECHO containing the file specification list for the demo:
ECHO ******************************************************************
TYPE RENAMER.FSL
ECHO ******************************************************************
PAUSE
CLS
ECHO ******************************************************************
ECHO The demo changes the symbol "ALPHA" to "Gamma" wherever it occurs,
echo regardless of the case mixture of the letters in "AlPhA".
ECHO It also changes "Stat" to "iHeapStatus", but this time
ECHO it is sensitive to the case of the input text.
ECHO                          -
ECHO Following is the control file for symbol renaming - the symbol
ECHO rename list, RENAMER.SRL.
ECHO The first character is the case sensitivity code -
ECHO     I - Insensitive to input case
ECHO     S - Sensitive to input case
ECHO     Note: Output will always be replaced in files exactly as
ECHO           it appears in this control file.
ECHO ******************************************************************
TYPE RENAMER.SRL
ECHO ******************************************************************
ECHO To invoke the ReNamer utility,
PAUSE
MKDIR TEMPZCVS > NUL
CD TEMPZCVS
ERASE TESTC1.C > NUL
CD ..
CLS
RENAMER /OUTDIR=TEMPZCVS
ECHO ******************************************************************
ECHO To see the ReNamer statistics,
PAUSE
CLS
TYPE RENAMER.MSG | MORE
ECHO ******************************************************************
ECHO To see the files before and after,
PAUSE
CLS
ECHO ~~~~~ TESTC1.C BEFORE RENAMING ~~~~~~
TYPE TESTC1.C
ECHO ******************************************************************
ECHO ~~~~~ TESTC1.C AFTER RENAMING (IN SUBDIRECTORY TEMPZCVS) ~~~~~
CD TEMPZCVS
TYPE TESTC1.C
CD ..
PAUSE
ECHO ******************************************************************
ECHO This program is well-behaved - it will not modify your files in
ECHO place. Read RENAMER.DOC for program documentation.
ECHO                          -
ECHO Then see how you might use ReNamer to EASILY standardize your
ECHO naming conventions, improving maintainability.
ECHO                          -
ECHO Or use ReNamer to make your software ready to port to another
ECHO platform, increasing your sales!
ECHO ******************************************************************
echo Best of luck to you!
ECHO                          -
ECHO End of Demonstration.

